Index: firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak
===================================================================
--- firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak	(revision 10908)
+++ firmware/FAD/FACT_FAD_20MHz_VAR_PS/FACT_FAD_TB_lib/hds/fad_main_tb/struct.bd.bak	(revision 10914)
@@ -5221,9 +5221,2041 @@
 )
 xt "-90000,29400,-68000,30200"
-st "SIGNAL FTM_RS485_rx_d        : std_logic
+st "SIGNAL FTM_RS485_rx_d        : std_logic"
+)
+)
+*177 (Net
+uid 2942,0
+decl (Decl
+n "socket_tx_free_out"
+t "std_logic_vector"
+b "(16 DOWNTO 0)"
+eolc "-- 17bit value .. that's true"
+posAdd 0
+o 55
+suid 64,0
+)
+declText (MLText
+uid 2943,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "-90000,60600,-43000,61400"
+st "SIGNAL socket_tx_free_out    : std_logic_vector(16 DOWNTO 0) -- 17bit value .. that's true"
+)
+)
+*178 (SaComponent
+uid 3285,0
+optionalChildren [
+*179 (CptPort
+uid 3073,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3074,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,19625,168750,20375"
+)
+tg (CPTG
+uid 3075,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3076,0
+va (VaSet
+)
+xt "163400,19500,167000,20500"
+st "wiz_reset"
+ju 2
+blo "167000,20300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "wiz_reset"
+t "std_logic"
+o 50
+suid 2,0
+i "'1'"
+)
+)
+)
+*180 (CptPort
+uid 3077,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3078,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,65625,168750,66375"
+)
+tg (CPTG
+uid 3079,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3080,0
+va (VaSet
+)
+xt "163000,65500,167000,66500"
+st "led : (7:0)"
+ju 2
+blo "167000,66300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "led"
+t "std_logic_vector"
+b "(7 DOWNTO 0)"
+posAdd 0
+o 38
+suid 7,0
+i "(OTHERS => '0')"
+)
+)
+)
+*181 (CptPort
+uid 3081,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3082,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,27625,140000,28375"
+)
+tg (CPTG
+uid 3083,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3084,0
+va (VaSet
+)
+xt "141000,27500,143800,28500"
+st "trigger"
+blo "141000,28300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "trigger"
+t "std_logic"
+preAdd 0
+posAdd 0
+o 14
+suid 18,0
+)
+)
+)
+*182 (CptPort
+uid 3085,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3086,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,38625,140000,39375"
+)
+tg (CPTG
+uid 3087,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3088,0
+va (VaSet
+)
+xt "141000,38500,144200,39500"
+st "adc_oeb"
+blo "141000,39300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "adc_oeb"
+t "std_logic"
+o 26
+suid 21,0
+i "'1'"
+)
+)
+)
+*183 (CptPort
+uid 3089,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3090,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,29625,140000,30375"
+)
+tg (CPTG
+uid 3091,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3092,0
+va (VaSet
+)
+xt "141000,29500,146900,30500"
+st "board_id : (3:0)"
+blo "141000,30300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "board_id"
+t "std_logic_vector"
+b "(3 DOWNTO 0)"
+o 10
+suid 24,0
+)
+)
+)
+*184 (CptPort
+uid 3093,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3094,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,30625,140000,31375"
+)
+tg (CPTG
+uid 3095,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3096,0
+va (VaSet
+)
+xt "141000,30500,146700,31500"
+st "crate_id : (1:0)"
+blo "141000,31300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "crate_id"
+t "std_logic_vector"
+b "(1 DOWNTO 0)"
+o 11
+suid 25,0
+)
+)
+)
+*185 (CptPort
+uid 3097,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3098,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,16625,168750,17375"
+)
+tg (CPTG
+uid 3099,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3100,0
+va (VaSet
+)
+xt "161000,16500,167000,17500"
+st "wiz_addr : (9:0)"
+ju 2
+blo "167000,17300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "wiz_addr"
+t "std_logic_vector"
+b "(9 DOWNTO 0)"
+o 47
+suid 26,0
+)
+)
+)
+*186 (CptPort
+uid 3101,0
+ps "OnEdgeStrategy"
+shape (Diamond
+uid 3102,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,17625,168750,18375"
+)
+tg (CPTG
+uid 3103,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3104,0
+va (VaSet
+)
+xt "160700,17500,167000,18500"
+st "wiz_data : (15:0)"
+ju 2
+blo "167000,18300"
+)
+)
+thePort (LogicalPort
+m 2
+decl (Decl
+n "wiz_data"
+t "std_logic_vector"
+b "(15 DOWNTO 0)"
+o 53
+suid 27,0
+)
+)
+)
+*187 (CptPort
+uid 3105,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3106,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,23625,168750,24375"
+)
+tg (CPTG
+uid 3107,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3108,0
+va (VaSet
+)
+xt "164300,23500,167000,24500"
+st "wiz_cs"
+ju 2
+blo "167000,24300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "wiz_cs"
+t "std_logic"
+o 48
+suid 28,0
+i "'1'"
+)
+)
+)
+*188 (CptPort
+uid 3109,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3110,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,21625,168750,22375"
+)
+tg (CPTG
+uid 3111,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3112,0
+va (VaSet
+)
+xt "164300,21500,167000,22500"
+st "wiz_wr"
+ju 2
+blo "167000,22300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "wiz_wr"
+t "std_logic"
+o 51
+suid 29,0
+i "'1'"
+)
+)
+)
+*189 (CptPort
+uid 3113,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3114,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,20625,168750,21375"
+)
+tg (CPTG
+uid 3115,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3116,0
+va (VaSet
+)
+xt "164400,20500,167000,21500"
+st "wiz_rd"
+ju 2
+blo "167000,21300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "wiz_rd"
+t "std_logic"
+o 49
+suid 30,0
+i "'1'"
+)
+)
+)
+*190 (CptPort
+uid 3117,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3118,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,22625,168750,23375"
+)
+tg (CPTG
+uid 3119,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3120,0
+va (VaSet
+)
+xt "164300,22500,167000,23500"
+st "wiz_int"
+ju 2
+blo "167000,23300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "wiz_int"
+t "std_logic"
+o 15
+suid 31,0
+)
+)
+)
+*191 (CptPort
+uid 3121,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3122,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,18625,140000,19375"
+)
+tg (CPTG
+uid 3123,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3124,0
+va (VaSet
+)
+xt "141000,18500,145500,19500"
+st "CLK_25_PS"
+blo "141000,19300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "CLK_25_PS"
+t "std_logic"
+o 17
+suid 35,0
+)
+)
+)
+*192 (CptPort
+uid 3125,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3126,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,17625,140000,18375"
+)
+tg (CPTG
+uid 3127,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3128,0
+va (VaSet
+)
+xt "141000,17500,144100,18500"
+st "CLK_50"
+blo "141000,18300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "CLK_50"
+t "std_logic"
+preAdd 0
+posAdd 0
+o 18
+suid 37,0
+)
+)
+)
+*193 (CptPort
+uid 3129,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3130,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,16625,140000,17375"
+)
+tg (CPTG
+uid 3131,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3132,0
+va (VaSet
+)
+xt "141000,16500,142900,17500"
+st "CLK"
+blo "141000,17300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "CLK"
+t "std_logic"
+o 1
+suid 38,0
+)
+)
+)
+*194 (CptPort
+uid 3133,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3134,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,37625,140000,38375"
+)
+tg (CPTG
+uid 3135,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3136,0
+va (VaSet
+)
+xt "141000,37500,149000,38500"
+st "adc_otr_array : (3:0)"
+blo "141000,38300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "adc_otr_array"
+t "std_logic_vector"
+b "(3 DOWNTO 0)"
+o 9
+suid 40,0
+)
+)
+)
+*195 (CptPort
+uid 3137,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3138,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,43625,140000,44375"
+)
+tg (CPTG
+uid 3139,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3140,0
+va (VaSet
+)
+xt "141000,43500,146900,44500"
+st "adc_data_array"
+blo "141000,44300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "adc_data_array"
+t "adc_data_array_type"
+o 8
+suid 41,0
+)
+)
+)
+*196 (CptPort
+uid 3141,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3142,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,57625,140000,58375"
+)
+tg (CPTG
+uid 3143,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3144,0
+va (VaSet
+)
+xt "141000,57500,149500,58500"
+st "drs_channel_id : (3:0)"
+blo "141000,58300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "drs_channel_id"
+t "std_logic_vector"
+b "(3 downto 0)"
+o 35
+suid 48,0
+i "(others => '0')"
+)
+)
+)
+*197 (CptPort
+uid 3145,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3146,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,62625,140000,63375"
+)
+tg (CPTG
+uid 3147,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3148,0
+va (VaSet
+)
+xt "141000,62500,145300,63500"
+st "drs_dwrite"
+blo "141000,63300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "drs_dwrite"
+t "std_logic"
+o 36
+suid 49,0
+i "'1'"
+)
+)
+)
+*198 (CptPort
+uid 3149,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3150,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,53625,140000,54375"
+)
+tg (CPTG
+uid 3151,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3152,0
+va (VaSet
+)
+xt "141000,53500,146400,54500"
+st "SROUT_in_0"
+blo "141000,54300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "SROUT_in_0"
+t "std_logic"
+o 4
+suid 52,0
+)
+)
+)
+*199 (CptPort
+uid 3153,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3154,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,54625,140000,55375"
+)
+tg (CPTG
+uid 3155,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3156,0
+va (VaSet
+)
+xt "141000,54500,146400,55500"
+st "SROUT_in_1"
+blo "141000,55300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "SROUT_in_1"
+t "std_logic"
+o 5
+suid 53,0
+)
+)
+)
+*200 (CptPort
+uid 3157,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3158,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,55625,140000,56375"
+)
+tg (CPTG
+uid 3159,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3160,0
+va (VaSet
+)
+xt "141000,55500,146400,56500"
+st "SROUT_in_2"
+blo "141000,56300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "SROUT_in_2"
+t "std_logic"
+o 6
+suid 54,0
+)
+)
+)
+*201 (CptPort
+uid 3161,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3162,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,56625,140000,57375"
+)
+tg (CPTG
+uid 3163,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3164,0
+va (VaSet
+)
+xt "141000,56500,146400,57500"
+st "SROUT_in_3"
+blo "141000,57300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "SROUT_in_3"
+t "std_logic"
+o 7
+suid 55,0
+)
+)
+)
+*202 (CptPort
+uid 3165,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3166,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,59625,140000,60375"
+)
+tg (CPTG
+uid 3167,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3168,0
+va (VaSet
+)
+xt "141000,59500,145200,60500"
+st "RSRLOAD"
+blo "141000,60300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "RSRLOAD"
+t "std_logic"
+o 23
+suid 56,0
+i "'0'"
+)
+)
+)
+*203 (CptPort
+uid 3169,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3170,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,60625,140000,61375"
+)
+tg (CPTG
+uid 3171,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3172,0
+va (VaSet
+)
+xt "141000,60500,144000,61500"
+st "SRCLK"
+blo "141000,61300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "SRCLK"
+t "std_logic"
+o 24
+suid 57,0
+i "'0'"
+)
+)
+)
+*204 (CptPort
+uid 3173,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3174,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,46625,168750,47375"
+)
+tg (CPTG
+uid 3175,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3176,0
+va (VaSet
+)
+xt "165300,46500,167000,47500"
+st "sclk"
+ju 2
+blo "167000,47300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "sclk"
+t "std_logic"
+o 42
+suid 62,0
+)
+)
+)
+*205 (CptPort
+uid 3177,0
+ps "OnEdgeStrategy"
+shape (Diamond
+uid 3178,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,47625,168750,48375"
+)
+tg (CPTG
+uid 3179,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3180,0
+va (VaSet
+)
+xt "165600,47500,167000,48500"
+st "sio"
+ju 2
+blo "167000,48300"
+)
+)
+thePort (LogicalPort
+m 2
+decl (Decl
+n "sio"
+t "std_logic"
+preAdd 0
+posAdd 0
+o 52
+suid 63,0
+)
+)
+)
+*206 (CptPort
+uid 3181,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3182,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,35625,168750,36375"
+)
+tg (CPTG
+uid 3183,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3184,0
+va (VaSet
+)
+xt "164200,35500,167000,36500"
+st "dac_cs"
+ju 2
+blo "167000,36300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "dac_cs"
+t "std_logic"
+o 31
+suid 64,0
+)
+)
+)
+*207 (CptPort
+uid 3185,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3186,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,37625,168750,38375"
+)
+tg (CPTG
+uid 3187,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3188,0
+va (VaSet
+)
+xt "160500,37500,167000,38500"
+st "sensor_cs : (3:0)"
+ju 2
+blo "167000,38300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "sensor_cs"
+t "std_logic_vector"
+b "(3 DOWNTO 0)"
+o 43
+suid 65,0
+)
+)
+)
+*208 (CptPort
+uid 3189,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3190,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,48625,168750,49375"
+)
+tg (CPTG
+uid 3191,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3192,0
+va (VaSet
+)
+xt "165000,48500,167000,49500"
+st "mosi"
+ju 2
+blo "167000,49300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "mosi"
+t "std_logic"
+o 40
+suid 66,0
+i "'0'"
+)
+)
+)
+*209 (CptPort
+uid 3193,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3194,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,61625,140000,62375"
+)
+tg (CPTG
+uid 3195,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3196,0
+va (VaSet
+)
+xt "141000,61500,144000,62500"
+st "denable"
+blo "141000,62300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "denable"
+t "std_logic"
+eolc "-- default domino wave off"
+posAdd 0
+o 34
+suid 67,0
+i "'0'"
+)
+)
+)
+*210 (CptPort
+uid 3197,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3198,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,67625,140000,68375"
+)
+tg (CPTG
+uid 3199,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3200,0
+va (VaSet
+)
+xt "141000,67500,144700,68500"
+st "SRIN_out"
+blo "141000,68300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "SRIN_out"
+t "std_logic"
+o 25
+suid 85,0
+i "'0'"
+)
+)
+)
+*211 (CptPort
+uid 3201,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3202,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,73625,168750,74375"
+)
+tg (CPTG
+uid 3203,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3204,0
+va (VaSet
+)
+xt "164600,73500,167000,74500"
+st "green"
+ju 2
+blo "167000,74300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "green"
+t "std_logic"
+o 37
+suid 86,0
+)
+)
+)
+*212 (CptPort
+uid 3205,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3206,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,75625,168750,76375"
+)
+tg (CPTG
+uid 3207,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3208,0
+va (VaSet
+)
+xt "164500,75500,167000,76500"
+st "amber"
+ju 2
+blo "167000,76300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "amber"
+t "std_logic"
+o 29
+suid 87,0
+)
+)
+)
+*213 (CptPort
+uid 3209,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3210,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,74625,168750,75375"
+)
+tg (CPTG
+uid 3211,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3212,0
+va (VaSet
+)
+xt "165500,74500,167000,75500"
+st "red"
+ju 2
+blo "167000,75300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "red"
+t "std_logic"
+o 41
+suid 88,0
+)
+)
+)
+*214 (CptPort
+uid 3213,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3214,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,70625,140000,71375"
+)
+tg (CPTG
+uid 3215,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3216,0
+va (VaSet
+)
+xt "141000,70500,146500,71500"
+st "D_T_in : (1:0)"
+blo "141000,71300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "D_T_in"
+t "std_logic_vector"
+b "(1 DOWNTO 0)"
+o 2
+suid 91,0
+)
+)
+)
+*215 (CptPort
+uid 3217,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3218,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,71625,140000,72375"
+)
+tg (CPTG
+uid 3219,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3220,0
+va (VaSet
+)
+xt "141000,71500,146100,72500"
+st "drs_refclk_in"
+blo "141000,72300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "drs_refclk_in"
+t "std_logic"
+eolc "-- used to check if DRS REFCLK exsists, if not DENABLE inhibit"
+o 12
+suid 92,0
+)
+)
+)
+*216 (CptPort
+uid 3221,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3222,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,72625,140000,73375"
+)
+tg (CPTG
+uid 3223,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3224,0
+va (VaSet
+)
+xt "141000,72500,147100,73500"
+st "plllock_in : (3:0)"
+blo "141000,73300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "plllock_in"
+t "std_logic_vector"
+b "(3 DOWNTO 0)"
+eolc "-- high level, if dominowave is running and DRS PLL locked"
+o 13
+suid 93,0
+)
+)
+)
+*217 (CptPort
+uid 3225,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3226,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,72625,168750,73375"
+)
+tg (CPTG
+uid 3227,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3228,0
+va (VaSet
+)
+xt "158400,72500,167000,73500"
+st "counter_result : (11:0)"
+ju 2
+blo "167000,73300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "counter_result"
+t "std_logic_vector"
+b "(11 DOWNTO 0)"
+o 30
+suid 94,0
+)
+)
+)
+*218 (CptPort
+uid 3229,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3230,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,69625,168750,70375"
+)
+tg (CPTG
+uid 3231,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3232,0
+va (VaSet
+)
+xt "158400,69500,167000,70500"
+st "alarm_refclk_too_high"
+ju 2
+blo "167000,70300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "alarm_refclk_too_high"
+t "std_logic"
+o 27
+suid 95,0
+)
+)
+)
+*219 (CptPort
+uid 3233,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3234,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,70625,168750,71375"
+)
+tg (CPTG
+uid 3235,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3236,0
+va (VaSet
+)
+xt "158800,70500,167000,71500"
+st "alarm_refclk_too_low"
+ju 2
+blo "167000,71300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "alarm_refclk_too_low"
+t "std_logic"
+posAdd 0
+o 28
+suid 96,0
+)
+)
+)
+*220 (CptPort
+uid 3237,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3238,0
+ro 270
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,19625,140000,20375"
+)
+tg (CPTG
+uid 3239,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3240,0
+va (VaSet
+)
+xt "141000,19500,145000,20500"
+st "ADC_CLK"
+blo "141000,20300"
+)
+)
+thePort (LogicalPort
+lang 2
+m 1
+decl (Decl
+n "ADC_CLK"
+t "std_logic"
+o 16
+suid 97,0
+)
+)
+)
+*221 (CptPort
+uid 3241,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3242,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,83625,168750,84375"
+)
+tg (CPTG
+uid 3243,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3244,0
+va (VaSet
+)
+xt "162100,83500,167000,84500"
+st "trigger_veto"
+ju 2
+blo "167000,84300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "trigger_veto"
+t "std_logic"
+o 45
+suid 98,0
+i "'1'"
+)
+)
+)
+*222 (CptPort
+uid 3245,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3246,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "139250,73625,140000,74375"
+)
+tg (CPTG
+uid 3247,0
+ps "CptPortTextPlaceStrategy"
+stg "VerticalLayoutStrategy"
+f (Text
+uid 3248,0
+va (VaSet
+)
+xt "141000,73500,148000,74500"
+st "FTM_RS485_rx_d"
+blo "141000,74300"
+)
+)
+thePort (LogicalPort
+decl (Decl
+n "FTM_RS485_rx_d"
+t "std_logic"
+o 3
+suid 99,0
+)
+)
+)
+*223 (CptPort
+uid 3249,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3250,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,80625,168750,81375"
+)
+tg (CPTG
+uid 3251,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3252,0
+va (VaSet
+)
+xt "160100,80500,167000,81500"
+st "FTM_RS485_tx_d"
+ju 2
+blo "167000,81300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "FTM_RS485_tx_d"
+t "std_logic"
+o 21
+suid 100,0
+)
+)
+)
+*224 (CptPort
+uid 3253,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3254,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,79625,168750,80375"
+)
+tg (CPTG
+uid 3255,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3256,0
+va (VaSet
+)
+xt "159600,79500,167000,80500"
+st "FTM_RS485_rx_en"
+ju 2
+blo "167000,80300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "FTM_RS485_rx_en"
+t "std_logic"
+o 20
+suid 101,0
+)
+)
+)
+*225 (CptPort
+uid 3257,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3258,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,81625,168750,82375"
+)
+tg (CPTG
+uid 3259,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3260,0
+va (VaSet
+)
+xt "159700,81500,167000,82500"
+st "FTM_RS485_tx_en"
+ju 2
+blo "167000,82300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "FTM_RS485_tx_en"
+t "std_logic"
+o 22
+suid 102,0
+)
+)
+)
+*226 (CptPort
+uid 3261,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3262,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,84625,168750,85375"
+)
+tg (CPTG
+uid 3263,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3264,0
+va (VaSet
+)
+xt "159900,84500,167000,85500"
+st "w5300_state : (7:0)"
+ju 2
+blo "167000,85300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "w5300_state"
+t "std_logic_vector"
+b "(7 DOWNTO 0)"
+eolc "-- state is encoded here ... useful for debugging."
+posAdd 0
+o 46
+suid 103,0
+)
+)
+)
+*227 (CptPort
+uid 3265,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3266,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,76625,168750,77375"
+)
+tg (CPTG
+uid 3267,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3268,0
+va (VaSet
+)
+xt "157900,76500,167000,77500"
+st "debug_data_ram_empty"
+ju 2
+blo "167000,77300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "debug_data_ram_empty"
+t "std_logic"
+o 32
+suid 104,0
+)
+)
+)
+*228 (CptPort
+uid 3269,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3270,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,77625,168750,78375"
+)
+tg (CPTG
+uid 3271,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3272,0
+va (VaSet
+)
+xt "160400,77500,167000,78500"
+st "debug_data_valid"
+ju 2
+blo "167000,78300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "debug_data_valid"
+t "std_logic"
+o 33
+suid 105,0
+)
+)
+)
+*229 (CptPort
+uid 3273,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3274,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,82625,168750,83375"
+)
+tg (CPTG
+uid 3275,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3276,0
+va (VaSet
+)
+xt "156600,82500,167000,83500"
+st "mem_manager_state : (3:0)"
+ju 2
+blo "167000,83300"
+)
+)
+thePort (LogicalPort
+lang 2
+m 1
+decl (Decl
+n "mem_manager_state"
+t "std_logic_vector"
+b "(3 DOWNTO 0)"
+eolc "-- state is encoded here ... useful for debugging."
+posAdd 0
+o 39
+suid 106,0
+)
+)
+)
+*230 (CptPort
+uid 3277,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3278,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,78625,168750,79375"
+)
+tg (CPTG
+uid 3279,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3280,0
+va (VaSet
+)
+xt "160800,78500,167000,79500"
+st "DG_state : (7:0)"
+ju 2
+blo "167000,79300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "DG_state"
+t "std_logic_vector"
+b "(7 downto 0)"
+prec "-- for debugging"
+preAdd 0
+o 19
+suid 108,0
+)
+)
+)
+*231 (CptPort
+uid 3281,0
+ps "OnEdgeStrategy"
+shape (Triangle
+uid 3282,0
+ro 90
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+)
+xt "168000,85625,168750,86375"
+)
+tg (CPTG
+uid 3283,0
+ps "CptPortTextPlaceStrategy"
+stg "RightVerticalLayoutStrategy"
+f (Text
+uid 3284,0
+va (VaSet
+)
+xt "157100,85500,167000,86500"
+st "socket_tx_free_out : (16:0)"
+ju 2
+blo "167000,86300"
+)
+)
+thePort (LogicalPort
+m 1
+decl (Decl
+n "socket_tx_free_out"
+t "std_logic_vector"
+b "(16 DOWNTO 0)"
+eolc "-- 17bit value .. that's true"
+posAdd 0
+o 44
+suid 109,0
+)
+)
+)
+]
+shape (Rectangle
+uid 3286,0
+va (VaSet
+vasetType 1
+fg "0,65535,0"
+lineColor "0,32896,0"
+lineWidth 2
+)
+xt "140000,15000,168000,87000"
+)
+oxt "15000,-8000,43000,80000"
+ttg (MlTextGroup
+uid 3287,0
+ps "CenterOffsetStrategy"
+stg "VerticalLayoutStrategy"
+textVec [
+*232 (Text
+uid 3288,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "144200,80000,150400,81000"
+st "FACT_FAD_lib"
+blo "144200,80800"
+tm "BdLibraryNameMgr"
+)
+*233 (Text
+uid 3289,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "144200,81000,154000,82000"
+st "FAD_main_with_w53002"
+blo "144200,81800"
+tm "CptNameMgr"
+)
+*234 (Text
+uid 3290,0
+va (VaSet
+font "Arial,8,1"
+)
+xt "144200,82000,145200,83000"
+st "I0"
+blo "144200,82800"
+tm "InstanceNameMgr"
+)
+]
+)
+ga (GenericAssociation
+uid 3291,0
+ps "EdgeToEdgeStrategy"
+matrix (Matrix
+uid 3292,0
+text (MLText
+uid 3293,0
+va (VaSet
+font "Courier New,8,0"
+)
+xt "142000,14200,162000,15000"
+st "RAMADDRWIDTH64b = 15    ( integer )  
 "
 )
-)
-*176 (Wire
+header ""
+)
+elements [
+(GiElement
+name "RAMADDRWIDTH64b"
+type "integer"
+value "15"
+)
+]
+)
+viewicon (ZoomableIcon
+uid 3294,0
+sl 0
+va (VaSet
+vasetType 1
+fg "49152,49152,49152"
+)
+xt "140250,85250,141750,86750"
+iconName "BlockDiagram.png"
+iconMaskName "BlockDiagram.msk"
+ftype 1
+)
+viewiconposition 0
+portVis (PortSigDisplay
+)
+archFileType "UNKNOWN"
+)
+*235 (Wire
 uid 286,0
 shape (OrthoPolyLine
@@ -5238,5 +7270,5 @@
 ]
 )
-start &69
+start &70
 end &27
 sat 32
@@ -5259,7 +7291,7 @@
 )
 )
-on &74
-)
-*177 (Wire
+on &75
+)
+*236 (Wire
 uid 318,0
 shape (OrthoPolyLine
@@ -5276,5 +7308,5 @@
 )
 start &19
-end &157
+end &158
 sat 32
 eat 32
@@ -5297,7 +7329,7 @@
 )
 )
-on &75
-)
-*178 (Wire
+on &76
+)
+*237 (Wire
 uid 324,0
 shape (OrthoPolyLine
@@ -5314,5 +7346,5 @@
 )
 start &20
-end &158
+end &159
 sat 32
 eat 32
@@ -5335,7 +7367,7 @@
 )
 )
-on &76
-)
-*179 (Wire
+on &77
+)
+*238 (Wire
 uid 330,0
 shape (OrthoPolyLine
@@ -5351,5 +7383,5 @@
 )
 start &23
-end &159
+end &160
 sat 32
 eat 32
@@ -5371,7 +7403,7 @@
 )
 )
-on &77
-)
-*180 (Wire
+on &78
+)
+*239 (Wire
 uid 336,0
 shape (OrthoPolyLine
@@ -5387,5 +7419,5 @@
 )
 start &22
-end &160
+end &161
 sat 32
 eat 32
@@ -5407,7 +7439,7 @@
 )
 )
-on &78
-)
-*181 (Wire
+on &79
+)
+*240 (Wire
 uid 374,0
 shape (OrthoPolyLine
@@ -5426,5 +7458,5 @@
 )
 start &41
-end &82
+end &83
 sat 32
 eat 32
@@ -5447,7 +7479,7 @@
 )
 )
-on &86
-)
-*182 (Wire
+on &87
+)
+*241 (Wire
 uid 380,0
 shape (OrthoPolyLine
@@ -5463,5 +7495,5 @@
 )
 start &38
-end &80
+end &81
 sat 32
 eat 32
@@ -5483,7 +7515,7 @@
 )
 )
-on &87
-)
-*183 (Wire
+on &88
+)
+*242 (Wire
 uid 386,0
 shape (OrthoPolyLine
@@ -5499,5 +7531,5 @@
 )
 start &39
-end &81
+end &82
 sat 32
 eat 32
@@ -5519,7 +7551,7 @@
 )
 )
-on &88
-)
-*184 (Wire
+on &89
+)
+*243 (Wire
 uid 426,0
 shape (OrthoPolyLine
@@ -5534,5 +7566,5 @@
 ]
 )
-start &90
+start &91
 end &15
 sat 32
@@ -5554,7 +7586,7 @@
 )
 )
-on &94
-)
-*185 (Wire
+on &95
+)
+*244 (Wire
 uid 442,0
 shape (OrthoPolyLine
@@ -5573,5 +7605,5 @@
 )
 start &17
-end &95
+end &96
 sat 32
 eat 2
@@ -5594,7 +7626,7 @@
 )
 )
-on &99
-)
-*186 (Wire
+on &100
+)
+*245 (Wire
 uid 450,0
 shape (OrthoPolyLine
@@ -5613,5 +7645,5 @@
 )
 start &18
-end &95
+end &96
 sat 32
 eat 2
@@ -5634,7 +7666,7 @@
 )
 )
-on &100
-)
-*187 (Wire
+on &101
+)
+*246 (Wire
 uid 530,0
 shape (OrthoPolyLine
@@ -5653,5 +7685,5 @@
 )
 start &28
-end &109
+end &110
 sat 32
 eat 2
@@ -5674,7 +7706,7 @@
 )
 )
-on &113
-)
-*188 (Wire
+on &114
+)
+*247 (Wire
 uid 538,0
 shape (OrthoPolyLine
@@ -5693,5 +7725,5 @@
 )
 start &29
-end &109
+end &110
 sat 32
 eat 2
@@ -5714,7 +7746,7 @@
 )
 )
-on &114
-)
-*189 (Wire
+on &115
+)
+*248 (Wire
 uid 546,0
 shape (OrthoPolyLine
@@ -5732,5 +7764,5 @@
 )
 start &16
-end &109
+end &110
 sat 32
 eat 1
@@ -5752,7 +7784,7 @@
 )
 )
-on &115
-)
-*190 (Wire
+on &116
+)
+*249 (Wire
 uid 554,0
 shape (OrthoPolyLine
@@ -5767,6 +7799,6 @@
 ]
 )
-start &109
-end &105
+start &110
+end &106
 sat 2
 eat 32
@@ -5787,7 +7819,7 @@
 )
 )
-on &115
-)
-*191 (Wire
+on &116
+)
+*250 (Wire
 uid 562,0
 shape (OrthoPolyLine
@@ -5802,6 +7834,6 @@
 ]
 )
-start &104
-end &109
+start &105
+end &110
 sat 32
 eat 1
@@ -5822,7 +7854,7 @@
 )
 )
-on &116
-)
-*192 (Wire
+on &117
+)
+*251 (Wire
 uid 570,0
 shape (OrthoPolyLine
@@ -5838,6 +7870,6 @@
 ]
 )
-start &103
-end &109
+start &104
+end &110
 sat 32
 eat 1
@@ -5859,7 +7891,7 @@
 )
 )
-on &117
-)
-*193 (Wire
+on &118
+)
+*252 (Wire
 uid 578,0
 shape (OrthoPolyLine
@@ -5874,5 +7906,5 @@
 ]
 )
-start &102
+start &103
 sat 32
 eat 16
@@ -5893,7 +7925,7 @@
 )
 )
-on &154
-)
-*194 (Wire
+on &155
+)
+*253 (Wire
 uid 769,0
 shape (OrthoPolyLine
@@ -5928,7 +7960,7 @@
 )
 )
-on &118
-)
-*195 (Wire
+on &119
+)
+*254 (Wire
 uid 777,0
 shape (OrthoPolyLine
@@ -5965,7 +7997,7 @@
 )
 )
-on &119
-)
-*196 (Wire
+on &120
+)
+*255 (Wire
 uid 785,0
 shape (OrthoPolyLine
@@ -5981,5 +8013,5 @@
 )
 start &21
-end &162
+end &163
 sat 32
 eat 32
@@ -6001,7 +8033,7 @@
 )
 )
-on &120
-)
-*197 (Wire
+on &121
+)
+*256 (Wire
 uid 793,0
 shape (OrthoPolyLine
@@ -6016,5 +8048,5 @@
 ]
 )
-start &161
+start &162
 end &24
 sat 32
@@ -6037,7 +8069,7 @@
 )
 )
-on &121
-)
-*198 (Wire
+on &122
+)
+*257 (Wire
 uid 801,0
 shape (OrthoPolyLine
@@ -6072,7 +8104,7 @@
 )
 )
-on &122
-)
-*199 (Wire
+on &123
+)
+*258 (Wire
 uid 809,0
 shape (OrthoPolyLine
@@ -6107,7 +8139,7 @@
 )
 )
-on &123
-)
-*200 (Wire
+on &124
+)
+*259 (Wire
 uid 817,0
 shape (OrthoPolyLine
@@ -6142,7 +8174,7 @@
 )
 )
-on &124
-)
-*201 (Wire
+on &125
+)
+*260 (Wire
 uid 825,0
 shape (OrthoPolyLine
@@ -6177,7 +8209,7 @@
 )
 )
-on &125
-)
-*202 (Wire
+on &126
+)
+*261 (Wire
 uid 833,0
 shape (OrthoPolyLine
@@ -6212,7 +8244,7 @@
 )
 )
-on &126
-)
-*203 (Wire
+on &127
+)
+*262 (Wire
 uid 841,0
 shape (OrthoPolyLine
